]> Dogcows Code - chaz/tar/blobdiff - tests/gzip.at
Fix handling of hard link targets by -c --transform
[chaz/tar] / tests / gzip.at
index 5da017c8aeda49877d945b3ed0f10a68d4ee1287..eb4303050abeab69d8a7be736c712e4ed546ac1d 100644 (file)
@@ -1,11 +1,11 @@
 # Process this file with autom4te to create testsuite. -*- Autotest -*-
 
 # Test suite for GNU tar.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2007 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 
 # This program is distributed in the hope that it will be useful,
@@ -15,8 +15,8 @@
 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
 
 # tar should detect that its gzip child failed.
 
@@ -26,6 +26,7 @@ AT_KEYWORDS([gzip])
 unset TAR_OPTIONS
 
 AT_CHECK([
+AT_GZIP_PREREQ
 tar xfvz /dev/null
 test $? = 2 || exit 1
 ],
@@ -34,8 +35,8 @@ test $? = 2 || exit 1
 [
 gzip: stdin: unexpected end of file
 tar: Child returned status 1
-tar: Error exit delayed from previous errors
+tar: Exiting with failure status due to previous errors
 ],
 [],[])
 
-AT_CLEANUP
\ No newline at end of file
+AT_CLEANUP
This page took 0.0218 seconds and 4 git commands to generate.